> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete document

> Delete a document from a KYB session (soft delete)



## OpenAPI

````yaml delete /api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/documents/{docId}
openapi: 3.0.0
info:
  contact:
    email: support@tropipay.com
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
  description: Banking as a service API.
  title: RALIO API
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com
security: []
paths:
  /api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/documents/{docId}:
    delete:
      tags:
        - kyb-sessions
      summary: Delete document
      description: Delete a document from a KYB session (soft delete)
      parameters:
        - description: Business User ID
          in: path
          name: uid
          required: true
          schema:
            type: string
        - description: Session ID
          in: path
          name: sessionId
          required: true
          schema:
            type: string
        - description: Document ID
          in: path
          name: docId
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    httperror.ErrResponse:
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
      type: object
    httperror.ErrorData:
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
          type: array
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
      type: object
    httperror.ErrorCode:
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
        - BAD_GATEWAY
      type: string
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
        - BadGatewayCode
    httperror.ErrorDetails:
      properties:
        field:
          type: string
        message:
          type: string
      type: object
    httperror.ErrorType:
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
        - BAD_GATEWAY_ERROR
      type: string
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
        - BadGatewayError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````